> ## Documentation Index
> Fetch the complete documentation index at: https://savadocs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Student

> Creates a new student in the classroom.



## OpenAPI

````yaml POST /students
openapi: 3.1.0
info:
  title: Classroom Manager API
  description: >-
    A mock API that allows a teacher to manage information about students in
    their classes.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://sandbox.mintlify.com
security:
  - bearerAuth: []
paths:
  /students:
    post:
      description: Creates a new student in the classroom.
      requestBody:
        description: Student to add to the classroom.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewStudent'
        required: true
      responses:
        '200':
          description: A new student resource has been created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Student'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewStudent:
      allOf:
        - $ref: '#/components/schemas/Student'
        - required:
            - id
          type: object
          properties:
            id:
              description: >-
                Identification number of the student written as a 5-digit
                number. The first 2 digits indicate the student's grade level.
                The last 3 digits indicate the student's number within the
                grade. The system supports up to 999 students in each grade
                level. Example: '01234', where the student is the 234th student
                in 1st grade.
              type: string
              format: ([0-9]+)
              maxLength: 5
              minLength: 5
              example: '01234'
    Student:
      required:
        - firstName
        - lastName
        - gradeLevel
        - GPA
        - attendanceStatus
        - id
      type: object
      properties:
        firstName:
          description: The first name of the student.
          type: string
          minLength: 1
          maxLength: 60
          example: John
        lastName:
          description: The last name of the student.
          type: string
          minLength: 1
          maxLength: 60
          example: Smith
        GPA:
          description: >-
            Student's average grade in the class on a 4.0 scale. Two decimal
            points allowed.
          type: number
          format: double
          minimum: 0
          maximum: 4
          example: 3.95
        gradeLevel:
          description: >-
            Student's grade level (from 1st to 12th grade), expressed as an
            integer between 1 and 12.
          type: integer
          minimum: 1
          maximum: 12
          example: 1
        attendanceStatus:
          description: >-
            Used to indicate if the student is present, late, or absent to class
            that day.
          type: string
          enum:
            - present
            - late
            - absent
          example: present
        id:
          description: >-
            Identification number of the student written as a 5-digit number.
            The first 2 digits indicate the student's grade level. The last 3
            digits indicate the student's number within the grade. The system
            supports up to 999 students in each grade level. Example: '01234',
            where the student is the 234th student in 1st grade.
          type: string
          format: ([0-9]+)
          maxLength: 5
          minLength: 5
          example: '01234'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````